[project]
name = "ai"
version = "1.0.0"
description = "IIAS Examples"
authors = [
    {name = "Aleksey Filippov", email = "al.filippov@ulstu.ru"}
]
readme = "readme.md"
requires-python = ">=3.12,<3.13"

[tool.poetry]
package-mode = false

[tool.poetry.dependencies]
jupyter = "^1.1.1"
numpy = "^1.26.4"
pandas = "^2.2.2"
matplotlib = "^3.9.2"
scikit-learn = "^1.5.2"
kagglehub = "^0.3.12"
mahotas = "^1.4.18"
python-docx = "^1.1.2"
spacy = "^3.7.5"
ru_core_news_lg = {url = "https://github.com/explosion/spacy-models/releases/download/ru_core_news_lg-3.7.0/ru_core_news_lg-3.7.0-py3-none-any.whl"}
gensim = "^4.3.3"
bokeh = "^3.7.2"
keras = "^3.9.2"
jax = "^0.5.3"
torch = "^2.7.0"
torchaudio = "^2.7.0"
torchvision = "^0.22.0"
#torch = { version = "^2.7.0+cu128", source = "pytorch-cuda128" }
#torchaudio = { version = "^2.7.0+cu128", source = "pytorch-cuda128" }
#torchvision = { version = "^0.22.0+cu128", source = "pytorch-cuda128" }

#[[tool.poetry.source]]
#name = "pytorch-cuda128"
#url = "https://download.pytorch.org/whl/cu128"
#priority = "explicit"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
